#include <cstdio>
#include <unordered_set>

using namespace std;

int main()
{
    long long n;

    if(scanf("%lld", &n) != 1) return 0;

    long long a[n];

    for(long long i=0;i<n;i++)
    {
        scanf("%lld", &a[i]);
    }

    for(long long i=0;i<n;i++)
    {
        unordered_set<long long> br;
        for(long long j=1;j<=a[i];j++)
        {
            long long res=1;
            long long g=j;
            while(g>=1)
            {
                res=res*(g%10);
                if(res==0)break;
                g=g/10;
            }
            br.insert(res);
        }
        printf("%zu\n", br.size());
    }
    return 0;
}